@artchis

В чём ошибка при запуске скирипта?

Добрый день, загрузил скрипт на хостинг pythonanywhere и при запуске скрипта ошибка, хотя на локалке всё стабильно работает

Goodbye!
Traceback (most recent call last):
File "/home/WebOn/.local/lib/python3.8/site-packages/aiohttp/connector.py", line 969, in _wrap_create_connection
return await self._loop.create_connection(*args, **kwargs) # type: ignore # noqa
File "/usr/lib/python3.8/asyncio/base_events.py", line 1017, in create_connection
raise exceptions[0]
File "/usr/lib/python3.8/asyncio/base_events.py", line 1002, in create_connection
sock = await self._connect_sock(
File "/usr/lib/python3.8/asyncio/base_events.py", line 916, in _connect_sock
await self.sock_connect(sock, address)
File "/usr/lib/python3.8/asyncio/selector_events.py", line 485, in sock_connect
return await fut
File "/usr/lib/python3.8/asyncio/selector_events.py", line 490, in _sock_connect
sock.connect(address)
OSError: [Errno 101] Network is unreachable
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/WebOn/.local/lib/python3.8/site-packages/aiogram/bot/api.py", line 139, in make_request
async with session.post(url, data=req, **kwargs) as response:
File "/home/WebOn/.local/lib/python3.8/site-packages/aiohttp/client.py", line 1117, in __aenter__
self._resp = await self._coro
File "/home/WebOn/.local/lib/python3.8/site-packages/aiohttp/client.py", line 520, in _request
conn = await self._connector.connect(
File "/home/WebOn/.local/lib/python3.8/site-packages/aiohttp/connector.py", line 535, in connect
proto = await self._create_connection(req, traces, timeout)
File "/home/WebOn/.local/lib/python3.8/site-packages/aiohttp/connector.py", line 892, in _create_connection
_, proto = await self._create_direct_connection(req, traces, timeout)
File "/home/WebOn/.local/lib/python3.8/site-packages/aiohttp/connector.py", line 1051, in _create_direct_connection
raise last_exc
File "/home/WebOn/.local/lib/python3.8/site-packages/aiohttp/connector.py", line 1020, in _create_direct_connection
transp, proto = await self._wrap_create_connection(
File "/home/WebOn/.local/lib/python3.8/site-packages/aiohttp/connector.py", line 975, in _wrap_create_connection
raise client_error(req.connection_key, exc) from exc
aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host api.telegram.org:443 ssl:default [Network is unreachable]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/WebOn/weather.py", line 63, in
executor.start_polling(dp)
File "/home/WebOn/.local/lib/python3.8/site-packages/aiogram/utils/executor.py", line 41, in start_polling
executor.start_polling(reset_webhook=reset_webhook, timeout=timeout, relax=relax, fast=fast)
File "/home/WebOn/.local/lib/python3.8/site-packages/aiogram/utils/executor.py", line 309, in start_polling
loop.run_until_complete(self._startup_polling())
File "/usr/lib/python3.8/asyncio/base_events.py", line 608, in run_until_complete
return future.result()
File "/home/WebOn/.local/lib/python3.8/site-packages/aiogram/utils/executor.py", line 360, in _startup_polling
await self._welcome()
File "/home/WebOn/.local/lib/python3.8/site-packages/aiogram/utils/executor.py", line 350, in _welcome
user = await self.dispatcher.bot.me
File "/home/WebOn/.local/lib/python3.8/site-packages/aiogram/bot/bot.py", line 29, in me
setattr(self, '_me', await self.get_me())
File "/home/WebOn/.local/lib/python3.8/site-packages/aiogram/bot/bot.py", line 215, in get_me
result = await self.request(api.Methods.GET_ME, payload)
File "/home/WebOn/.local/lib/python3.8/site-packages/aiogram/bot/base.py", line 208, in request
return await api.make_request(self.session, self.server, self.__token, method, data, files,
File "/home/WebOn/.local/lib/python3.8/site-packages/aiogram/bot/api.py", line 142, in make_request
raise exceptions.NetworkError(f"aiohttp client throws an error: {e.__class__.__name__}: {e}")
aiogram.utils.exceptions.NetworkError: Aiohttp client throws an error: ClientConnectorError: Cannot connect to host api.telegram.org:443 ssl:default [Network is unreachable]
  • Вопрос задан
  • 57 просмотров
Пригласить эксперта
Ответы на вопрос 1
@SashaN69
Школота
Белый список доступа там .Нужно покупать за 5$
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы